


#include "stdafx.h"

#include <stdio.h>
#include <stdarg.h>
#include <setjmp.h>


#include "rtfreadr.h"


#include "etc.h"


#include "TransRTF.h"


static jmp_buf xraisejmp;




int cstrncmp(char * first,char * second,int n)
{
 int f;
 int s;

 while(n--)
 {
  f=toupper(*first++);
  s=toupper(*second++);
  if(f!=s || !f) return(f-s);
 }

 return(0);
}


int cstrcmp(char * first,char * second)
{
 return(cstrncmp(first,second,-1));
}




void raiseerror(char * format,...)
{
 va_list   args;
 char      v[512];
 int       numw;

 va_start(args, format);
 VSNPRINTF(v,sizeof(v)-2,format,args,numw);
 va_end(args);



#ifdef _DEBUG

	printf("error: %s\r\n",v);
	exit(1);

#else

 ATOM atom;

 atom=GlobalAddAtom(v);
 
 longjmp(xraisejmp,(int)atom);

#endif
}






int main(int argc, char* argv[])
{
 int result;
 
 result=setjmp(xraisejmp);
 if(!result)
 {
  if((argc!=3) && (argc!=4)) raiseerror("Syntax: Convert [-C] <input file> <output file>");
  {
			if(argc==4)	rtfmain(argv[2],argv[3],1);
			else	       rtfmain(argv[1],argv[2],0);
 	}
 }

	return(result);
}
